Bug 1972968 - "Add Disk" button should be disabled in common template disks tab
Summary: "Add Disk" button should be disabled in common template disks tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: aviv turgeman
QA Contact: YaoJinbo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-17 01:55 UTC by Guohua Ouyang
Modified: 2021-10-18 17:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:34:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
add disk button is not disabled (770.70 KB, application/octet-stream)
2021-06-17 01:55 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9622 0 None open Bug 1972968: "Add Disk" button should be disabled in common template disks tab 2021-07-26 09:49:17 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:35:22 UTC

Description Guohua Ouyang 2021-06-17 01:55:06 UTC
Created attachment 1791653 [details]
add disk button is not disabled

Description of problem:
"Add Disk" button should be disabled in common template's disks tab as it cannot add disk for common template, just like the "Add Network Interface" button is disabled.

Version-Release number of selected component (if applicable):
Master

How reproducible:
100%

Steps to Reproduce:
1. Visit common template's disk tab
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Yaacov Zamir 2021-07-26 08:19:34 UTC
moving to modified:
https://github.com/openshift/console/pull/8610 should be in 4.8.z

If this needs a backport please move back to assign

Comment 3 Yaacov Zamir 2021-07-26 09:27:50 UTC
ahh, wrong BZ, this one should stay assigned

Comment 4 YaoJinbo 2021-08-06 05:44:18 UTC
Verified on v4.8 and the latest master. 'Add disk' button is disabled

1.go to the Disks tab of the VM Template
2."Add Disk" button is disabled

Comment 5 YaoJinbo 2021-08-06 05:55:04 UTC
(In reply to YaoJinbo from comment #4)
> reproduced on OCP 4.8 and verified on latest master.'Add disk' button is disabled


> 1.go to the Disks tab of the VM Template
> 2."Add Disk" button is disabled

Comment 6 YaoJinbo 2021-08-06 05:55:20 UTC
(In reply to YaoJinbo from comment #4)
> reproduced on OCP 4.8 and verified on latest master.'Add disk' button is disabled


> 1.go to the Disks tab of the VM Template
> 2."Add Disk" button is disabled

Comment 7 YaoJinbo 2021-08-06 05:55:29 UTC
(In reply to YaoJinbo from comment #4)
> reproduced on OCP 4.8 and verified on latest master.'Add disk' button is disabled


> 1.go to the Disks tab of the VM Template
> 2."Add Disk" button is disabled

Comment 8 YaoJinbo 2021-08-06 05:55:29 UTC
(In reply to YaoJinbo from comment #4)
> reproduced on OCP 4.8 and verified on latest master.'Add disk' button is disabled


> 1.go to the Disks tab of the VM Template
> 2."Add Disk" button is disabled

Comment 9 YaoJinbo 2021-08-06 06:03:39 UTC
Reproduced on OCP 4.8 and verified on latest master.'Add disk' button is disabled


1.go to the Disks tab of the VM Template
2."Add Disk" button is disabled

Comment 12 errata-xmlrpc 2021-10-18 17:34:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.